System 4.0.0.0 System.Object To be added.

Options to use with a object.

- Constructor
  4.0.0.0
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Adds a sub-protocol to be negotiated during the WebSocket connection handshake.

  The WebSocket sub-protocol to add.
- Property
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509CertificateCollection To be added. To be added.

  Gets or sets a collection of client side certificates.

- Property
  4.0.0.0
  System.Net.CookieContainer To be added. To be added.

  Gets or sets the cookies associated with the request.

- Property
  4.0.0.0
  System.Net.ICredentials To be added. To be added.

  Gets or sets the credential information for the client.

- Property
  4.0.0.0
  System.TimeSpan To be added. To be added.

  Gets or sets the WebSocket protocol keep-alive interval in milliseconds.

- Property
  4.0.0.0
  System.Net.IWebProxy To be added. To be added.

  Gets or sets the proxy for WebSocket requests.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Sets the client buffer parameters.

  The size, in bytes, of the client receive buffer. The size, in bytes, of the client send buffer.
- Method
  4.0.0.0
  System.Void `` `` `` To be added.

  Sets client buffer parameters.

  The size, in bytes, of the client receive buffer. The size, in bytes, of the client send buffer. The receive buffer to use.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Creates a HTTP request header and its value.

  The name of the HTTP header. The value of the HTTP header.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value that indicates if default credentials should be used during WebSocket handshake.